Skip to main content
GET
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
revisions
/
{revisionId}
:hydrate
Get a hydrated revision
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/revisions/{revisionId}:hydrate \
  --header 'X-Api-Key: <api-key>'
{
  "id": "f0e1d2c3-b4a5-6789-0abc-def123456789",
  "specVersion": "1.0.0",
  "createTime": "2023-11-07T05:31:56Z",
  "content": {
    "name": "readSalesforceAccounts",
    "provider": "salesforce",
    "displayName": "Salesforce Accounts",
    "module": "crm",
    "read": {
      "objects": [
        {
          "objectName": "account",
          "displayName": "Account",
          "destination": "accountWebhook",
          "schedule": "*/10 * * * *",
          "error": "<string>",
          "mapToName": "accounts",
          "mapToDisplayName": "Accounts",
          "requiredFields": [
            {
              "fieldName": "billingcity",
              "displayName": "Billing City",
              "mapToName": "billing_city",
              "mapToDisplayName": "Billing City"
            }
          ],
          "optionalFields": [
            {
              "fieldName": "billingcity",
              "displayName": "Billing City",
              "mapToName": "billing_city",
              "mapToDisplayName": "Billing City"
            }
          ],
          "optionalFieldsAuto": "all",
          "allFieldsMetadata": {
            "name": {
              "fieldName": "name",
              "displayName": "Account Name",
              "valueType": "string",
              "providerType": "string",
              "readOnly": false,
              "isCustom": false,
              "isRequired": true
            },
            "type": {
              "fieldName": "type",
              "displayName": "Account Type",
              "valueType": "singleSelect",
              "providerType": "picklist",
              "readOnly": false,
              "isCustom": false,
              "isRequired": false,
              "values": [
                {
                  "value": "prospect",
                  "displayValue": "Prospect"
                },
                {
                  "value": "customer",
                  "displayValue": "Customer - Direct"
                }
              ]
            }
          },
          "allFields": [
            {
              "fieldName": "billingcity",
              "displayName": "Billing City",
              "mapToName": "billing_city",
              "mapToDisplayName": "Billing City"
            }
          ],
          "backfill": {
            "defaultPeriod": {
              "days": 30,
              "fullHistory": false
            }
          }
        }
      ]
    },
    "write": {
      "objects": [
        {
          "objectName": "account",
          "displayName": "Account",
          "valueDefaults": {
            "allowAnyFields": true
          }
        }
      ]
    },
    "proxy": {
      "enabled": true,
      "useModule": true
    }
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

integrationId
string
required

The integration ID.

revisionId
string
required

The revision ID. You can find this on the integration object's latestRevision.id field.

Query Parameters

connectionId
string
required

The ID of the consumer's connection to the SaaS provider. This connection's credentials are used to fetch field metadata from the provider's API.

Response

Hydrated revision.

id
string
required

The revision ID.

Example:

"f0e1d2c3-b4a5-6789-0abc-def123456789"

specVersion
string
required

The spec version string.

Example:

"1.0.0"

createTime
string<date-time>
required

The time the revision was created.

content
Hydrated Integration · object
required